> This page is for version API + Legacy Read.
> For other versions, use one of these documentation indexes:
> - API (default): https://docs.getthera.com/api/llms.txt
> - API + Legacy Read: https://docs.getthera.com/api-legacy-read/llms.txt
> - API + Legacy Full: https://docs.getthera.com/api-legacy-full/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getthera.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getthera.com/_mcp/server.

# Get Contractor's Policies Details

GET https://api.getthera.com/companies/{companyId}/contractors/{userId}/timeoff-policies

Get Contractor's Policies Details

Reference: https://docs.getthera.com/thera-api/payroll/timeoff-api/get-contractors-policies-details-by-contractor

## Authentication

- `X-Thera-API-Key` header (required) — API Key authentication via header

## Servers

- `https://api.getthera.com` (Production, default)
- `https://api.staging.getthera.com` (Staging)

## Request

### Path parameters

- `companyId` (string, required)
- `userId` (string, required)

### Query parameters

- `year` (integer, optional)

## Response

### 200

- `policyDetailsByPolicyId` (map from string to ContractorPolicyDetailsResponse, required)

## Types

### ContractorPolicyDetailsResponse

- `contractorFullName` (string, required)
- `policyName` (string, required)
- `contractTypes` (list of enum, required)
  - Allowed values: `FIXED_RATE`, `FLEXIBLE_RATE`, `MILESTONE`, `TIME_TRACKING`, `US_PAYROLL`, `EOR`, `UNKNOWN`
- `allowanceType` (enum, required)
  - Allowed values: `LIMITED`, `UNLIMITED`
- `accrualType` (map from enum to enum, required)
  - Allowed values: `MONTHLY`, `ANNUAL`
- `balanceDaysAvailablePerTimeFrame` (double, optional)
- `balanceTakenForTimeFrame` (double, optional)
- `balanceDaysRemainingPerTimeFrame` (double, optional)

## Examples

**Response**

```json
{
  "policyDetailsByPolicyId": {
    "policyDetailsByPolicyId": {
      "contractorFullName": "contractorFullName",
      "policyName": "policyName",
      "contractTypes": [
        "FIXED_RATE",
        "FIXED_RATE"
      ],
      "allowanceType": "LIMITED",
      "accrualType": {
        "EMPLOYEE": "MONTHLY"
      },
      "balanceDaysAvailablePerTimeFrame": 1.1,
      "balanceTakenForTimeFrame": 1.1,
      "balanceDaysRemainingPerTimeFrame": 1.1
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies"

headers = {"X-Thera-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies';
const options = {method: 'GET', headers: {'X-Thera-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Thera-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Thera-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies")
  .header("X-Thera-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies', [
  'headers' => [
    'X-Thera-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Thera-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Thera-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getthera.com/companies/companyId/contractors/userId/timeoff-policies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```